[ОТВЕТИТЬ]
Опции темы
03.08.2015 11:56  
OlegON
В последнее время все больше спотыкался на том, что старые Putty и т.п. софтинки, касающиеся SSH, стали отваливаться. Подключение, долгое время ожидания, обрыв соединения. На стороне сервера в журнале сообщение
Цитата:
error: Hm, kex protocol error: type 30 seq 1 [preauth]
стал разбираться... Поскольку в Windows все убогое по сути, то программы, соответственно, не обновляются. А вот OpenSSH ушел вперед и часть старого софта была заблокирована. Это плохая новость, поскольку не все можно обновить.
Хорошая новость в том, что, например, Kitty можно заставить работать, вписав в kitty.ini строку
Цитата:
sshversion=PuTTY_Release_0.64
а в Putty и всех базирующихся на нем приложениях зайти в настройки SSH-Kex и поставить Diffie-Hellman group 14 перед Diffie-Hellman group exchange. Собственно, чтобы это подцепилось во всех базирующихся приложениях, такой порядок надо сохранить в профиле Default Settings.
 
 
Опции темы



Часовой пояс GMT +3, время: 19:28.

Все в прочитанное - Календарь - RSS - - Карта - Вверх 👫 Яндекс.Метрика
Форум сделан на основе vBulletin®
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd. Перевод: zCarot и OlegON
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.